#version 430

layout (location = 0) in vec3 position;
layout (location = 1) in vec2 tex;
layout (location = 2) in vec3 normals;

uniform mat4 proj;
uniform mat4 view;

out vec2 varTex;

void main(void)
{
    gl_Position = proj * view * vec4(position, 1.0);
    varTex = tex;
}